Debug=false
#Debug=true
declare -A SupportedReleases
SupportedReleases=(
[slackwarearm-14.2]="http://ftp.arm.slackware.com/slackwarearm/slackwarearm-14.2/slackware"
[slackwarearm-current]="http://ftp.arm.slackware.com/slackwarearm/slackwarearm-current/slackware"
[slackwareaarch64-current]="http://ftp.arm.slackware.com/slackwarearm/slackwareaarch64-current/slackware"
[slackware64-14.2]="https://mirrors.slackware.com/slackware/slackware64-14.2/slackware64"
[slackware64-current]="https://mirrors.slackware.com/slackware/slackware64-current/slackware64"
)

Pkglist="$(grep -v ^# ${Cfgdir}/pkglist.txt)"
Pkgdir="${Basedir}/../../miniroot/packages"
Minirootdir="${Basedir}/../../miniroot/miniroots"

RootPW="miniroot"
#uncomment if you want a random root password
#RootPW="$(mkpasswd.expect -l 8 -d 1 -c 1 -C 1 -s 1)"

declare -A MyOptions=(
[p]=":,\t:Set root password,$RootPW"
[r]=":,\t:Set the target release,"
[D]=",\t\t:Skip package download/update,false"
[I]=",\t\t:Skip package installation,false"
[R]=",\t\t:Skip chroot post install setup,false"
[T]=",\t\t:Skip creating the miniroot tarball,false"
[h]=",\t\t:Show this help message,false"
)

source  ${Cfgdir}/functions
